function checkCollision(a,b)
-- Collision detection function (bounding box).
-- Checks if a and b overlap.
-- w and h mean width and height.
-- a has x,y,w,h
-- b may be either a line or a box

	if b.w and b.h then --b is a box
		if a.x < b.x+b.w and a.x+a.w > b.x and a.y < b.y+b.h and a.y+a.h > b.y
			--collision
			return true
			
			
		end
	elseif b.w then 
		--b is a horizontal line
		if a.x<b.x+b.w and a.x+a.w>b.x then
			if a.y<b.y then
				--floor
				return true
			else
				--ceiling
				return true
		end
	
	elseif b.w then 
		--b is a vertical line
		if a.y<b.y+b.h and a.y+a.h>b.y then
			if a.x<b.x then
				--right wall
				return true
			else
				--left wall
				return true
		end
	end
  
end	