

function showStats(o)
	local lgp=love.graphics.print
	local lgc=love.graphics.setColor
	local lgr=love.graphics.rectangle
		
	local vectors={
		'vx= '..o.velocity.x,
		'vy= '..o.velocity.y,
		'ax= '..o.acceleration.x,
		'ay= '..o.acceleration.y
		}

--EXAMPLE		
	local p='movement vectors\n'
    for i, v in ipairs(vectors) do
		p=p..v..'\n'
    end

--MOVE	
	local m='controls\n'
	if o.move.up then m=m..'up' end
	m=m..'\n'
	if o.move.down then m=m..'down' end	
	m=m..'\n'
	if o.move.left then m=m..'left' end
	m=m..'\n'
	if o.move.right then m=m..'right' end	
	m=m..'\n'
	if o.move.jump then m=m..'jump' end
	m=m..'\n'
	if o.move.action then m=m..'action' end
	m=m..'\n'
	if o.move.dash then m=m..'dash' end
	m=m..'\n'
	m=m..'---'

--Hit
	local h='collisions\n'
	if o.hitceiling then h=h..'hitceiling' end
	h=h..'\n'
	if o.hitground then h=h..'hitground' end
	h=h..'\n'	
	if o.hitleft then h=h..'hitleft' end
	h=h..'\n'	
	if o.hitright then h=h..'hitright' end
	h=h..'\n'
	h=h..'---'
	
	lgc(50,50,50)
	lgr('fill',95,95,500,20)
	
	lgc(255,255,255)
	lgp(p,100,100)
	lgp(m,300,100)
	lgp(h,500,100)	
end