
require 'functions.drawBox'
require 'objects.megaman'
require 'objects.room'
require 'functions.showStats'
require 'functions.playerControl'
require 'functions.bound'

function love.load()

	megaman.position.x = 600
	megaman.position.y = 300
	megaman.floor=room.y+room.h
	megaman.rightwall=room.x+room.w
	megaman.leftwall=room.x
	megaman.ceiling=room.y
	
	
	blocks={}

	newBlock={x,y,w,h}	
	
	mouse={
	draw=false
	}
	
end

function love.mousepressed( x, y, button )

	if button=='l' then
	mouse.draw=true
	newBlock.x=x
	newBlock.y=y
	end

end

function love.mousereleased( x, y, button )

	if button=='l' then
	if mouse.draw then 
		--add new box
		newBlock.w=x-newBlock.x
		newBlock.h=y-newBlock.y
		table.insert(blocks,newBlock)
		mouse.draw=false
	end
	end
end

function love.draw()

	drawBox(room,50,100,200,a)
	drawBox(megaman.hitbox,200,100,100,a)
	showStats(megaman)
	
	love.graphics.print(#blocks,0,0)

	for i=1,#blocks do
		if i>0 then drawBox(blocks[i]) end
    end
	
end

function love.update(dt)

	megaman:update(dt)
	bound(megaman)
	
end

function love.keypressed(key)

keypressed(megaman,key)
end

function love.keyreleased(key)

	keyreleased(megaman,key)
	
end

