
--[[this file contains the core details that describe mega man behavior
I intend it to be used as a meta table
--]]

megaman={

	state="",-- i.e. running, jumpting etc.	Eventually look up "stately" LOVE library

	--collision
	hitbox={x=0,y=0,w=24,h=24}, --determines collision
	floor,
	ceiling,
	rightwall,
	leftwall,
	
	--update differently depending on move state
	--change move state based on playerControl
	--these don't have to be booleans.  They could refer to animation frames, or in the case of the dash, to a timer.
	move={up=nil,down=nil,left=nil,right=nil,dash=nil,jump=nil,action=nil},
	
	--booleans
	lookright=true,
	hitground=false,
	hitceiling=false,
	hitright=false,
	hitleft=false,
	
	inair=false,
	inwater=false,
	stunned=false,
	
	--physics
	position={x=0,y=0},
	velocity={x=0,y=0},
	acceleration={x=0,y=0},
	
	finalVariable}


require 'functions.updateHitBoxPosition'
require 'functions.kinomatics'

function megaman.update(o,dt)

	updateHitBoxPosition(o)
	
	--vertical motion
	if o.hitground ==false then
		o.acceleration.y=981
	elseif o.move.jump or o.move.up then
		o.velocity.y=-300
	else
		o.velocity.y=0
	end
		
	VerticalMotion(o,dt)

	if o.move.right and o.move.left then
	
	elseif o.move.right then
		o.velocity.x=300
	elseif o.move.left then
		o.velocity.x=-300
	else
		o.velocity.x=0
	end

	HorizontalMotion(o,dt)	
	
end

